package com.muyu.cloud.pay.domain.req;

import com.muyu.common.core.validation.custom.IsSystemYesNo;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/7/31
 * @Description: 支付客户列表查询条件
 * @Version: 1.0
 */
@Tag(name = "客户列表请求对象")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerListReq {
    /**
     * 服务/客户名称
     */
    @Schema(type = "String", description = "客户名称，为微服务中文名称")
    private String appName;

    /**
     * 服务/客户编码
     */
    @Schema(name = "appCode", type = "String", description = "客户名称，为微服务名称")
    private String appCode;

    /**
     * 状态 - sys_yes_no
     */
    @Schema(type = "String", description = "客户状态，Y是开启，N关闭")
    @IsSystemYesNo
    private String status;
}
